
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>jQuery Validation实例代码 让验证变得如此容易_jquery / iVAN</title>

    <meta name="description" content="jQuery Validation实例代码 让验证变得如此容易_jquery 使用客户端验证可以有效的减少数据往返服务器和客户端的次数,有利于提高服务器的资源利用路,并且还能够给用户直观,快速的回应. 在Web 2.0时代,这显得尤其重要,我想大家一定和我一样讨厌用基础的javascript写着烦人的验证.现在服务器端的验证有比较好的框架可以解决,ASP.NET MVC就可以很好的完成这样的工作,所以对于.net开发来说,拥有一个好的客户端养正框架对于开发效率的提高起着至关重要的作用. 我们可以通过下面的地址获得这个JS框架 JQuery jQuery Validatio">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">jQuery Validation实例代码 让验证变得如此容易_jquery</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>使用客户端验证可以有效的减少数据往返服务器和客户端的次数，有利于提高服务器的资源利用路，并且还能够给用户直观，快速的回应。 在Web 2.0时代，这显得尤其重要，我想大家一定和我一样讨厌用基础的javascript写着烦人的验证。现在服务器端的验证有比较好的框架可以解决，ASP.NET MVC就可以很好的完成这样的工作，所以对于.net开发来说，拥有一个好的客户端养正框架对于开发效率的提高起着至关重要的作用。</p>
<p>我们可以通过下面的地址获得这个JS框架</p>
<ul>
<li>JQuery</li>
<li>jQuery Validation Framework</li>
</ul>
<p> 让我们以一个简单的实例来开始我们对于jQuery Validation Framework的认识吧</p>
<p> 首先，我们需要加入对上面两个JS文件的引用</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;head runat="server"&gt; <br />&lt;title&gt;Untitled Page&lt;/title&gt; <br />&lt;script src="jquery.js" type="text/javascript"&gt;&lt;/script&gt; <br />&lt;script src="jquery.validate.js" type="text/javascript"&gt;&lt;/script&gt; <br />&lt;/head&gt;</p>
<p>接下来，声明下面的HTML段</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;form id="customerForm" runat="server"&gt; <br />&lt;div&gt; <br />First Name: &lt;input type="text" id="FirstName" class="required" name="FirstName" /&gt; <br />Last Name: &lt;input type="text" id="LastName" class="required" name="LastName" /&gt;</p>
<p>&lt;input type="submit" value="Register" /&gt; <br />&lt;/div&gt; <br />&lt;/form&gt;</p>
<p>通过以上代码，大家会发现我们对于每一个input都加上了class="required" 他的作用就是在这个inpute标签为空时会提示用户出错。 <br />最后我们要为我们的框架找到一个切入点，通常，我们可以把下段代码放到HTML的最后</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;script language="javascript" type="text/javascript"&gt; <br />$(document).ready(function() <br />{ <br />$("#customerForm").validate(); <br />}); <br />&lt;/script&gt;</p>
<p>运行看看效果如何<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDEwMTAxODAwMTk0MzM3OC5wbmc=.jpg"> <br />下面请看一个大一点的例子 为ListBox Control创建常规的验证 <br />我们可以这样添加规则</p>
<p><u>复制代码</u> 代码如下:</p>
<p>$("#customerForm").validate( <br />{ <br />rules: <br />{ <br />FirstName: { required:true }, <br />LastName: { required:true }, <br />Countries: { validateCountries:true } <br />}, <br />messages: <br />{ <br />FirstName: { required: "First Name is required" }, <br />LastName: { required: "Last Name is required" }, <br />Countries: { validateCountries:"Please select at least 2 items from the Countries" } <br />},</p>
<p>}); <br />// add the validate countries method <br />jQuery.validator.addMethod("validateCountries", function(value, element) <br />{ <br />var noOfSelectedCountries = $("#Countries :selected").length; <br />if(noOfSelectedCountries &lt; 2) return false; <br />return true; <br />});</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDEwMTAxODAwMTk0NDIwOS5wbmc=.jpg"><br />为错误提供错误信息</p>
<p><u>复制代码</u> 代码如下:</p>
<p>$("#customerForm").validate( <br />{ <br />rules: <br />{ <br />FirstName: { required:true }, <br />LastName: { required:true }, <br />Countries: { validateCountries:true } <br />},</p>
<p>messages: <br />{ <br />FirstName: { required: "First Name is required" }, <br />LastName: { required: "Last Name is required" }, <br />Countries: { validateCountries:"Please select at least 2 items from the Countries" } <br />},</p>
<p>errorContainer:"#errors", <br />errorLabelContainer:"#errors ul", <br />wrapper:"li"</p>
<p>});</p>
<p>效果见下图</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDEwMTAxODAwMTk0NTIxMy5wbmc=.jpg"> </p>
<p> 好了 不多说了   本文提供源代码下载  自己研究吧  很晚了<br />源代码下载 http://xiazai.jb51.net/201010/yuanma/jQueryValidation_Demo_Download.rar</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 22:14:28</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/jquery/" title="jquery">jquery</a>, <a href="https://www.iamivan.net/tag/validation/" title="validation">validation</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>jQuery Validation实例代码 让验证变得如此容易_jquery的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmVLV1z.html" rel="bookmark">web前端开发JQuery常用实例代码片段&lpar;50个&rpar;&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文给大家展示50个jquery代码片段,这些代码能够给你的javascript项目提供帮助.其中的一些代码段是从jQuery1.4.2才开始支持的做法,另一些则是真正有用的函数或方法,他们能够帮助你又快又好地把事情完成.这些都是我尽量记住的有着最佳性能的代码段,因此如果你发现你任何可以做得更好的地方的话,欢迎把你的版本粘贴在评论中!我希望你在这一文章中能找到有帮助的东西. 1. 如何创建嵌套的过滤器 //允许你减少集合中的匹配元素的过滤器, //只剩下那些与给定的选择器匹配的部分.在这种情况下			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Qqxnp.html" rel="bookmark">修改jQuery Validation里默认的验证方法&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在最近做的一个项目中,使用jQuery Validation验证日期,遇到的问题和一个没有预料到的情况是,在ASP.NET MVC 3的项目中,对于 &lt;input type=&quot;date&quot; data-val=&quot;true&quot; /&gt;的元素,如果调用form的valid方法验证form,虽然我没有添加日期验证的设置,仅仅type=&quot;date&quot;,但其依然调用了日期验证逻辑来验证日期格式是否正确.这本来是个不错的行为,但问题在于,其支持的日期格式有			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJOmm7b.html" rel="bookmark">jQuery Ajax 实例代码 &lpar;&dollar;&period;ajax、&dollar;&period;post、&dollar;&period;get&rpar;&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				$.post.$.get是一些简单的方法,如果要处理复杂的逻辑,还是需要用到jQuery.ajax() 一.$.ajax的一般格式 $.ajax({ type: 'POST', url: url , data: data , success: success , dataType: dataType }); 二.$.ajax的参数描述 参数 描述 url 必需.规定把请求发送到哪个 URL. data 可选.映射或字符串值.规定连同请求发送到服务器的数据. success(data, textS			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmV3nDz.html" rel="bookmark">jquery Validation插件表单验证实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本实例涉及到的验证有: 用户名:长度.字符验证,重复性ajax验证(是否已存在). 密码:长度验证,重复输入密码验证. 邮件:邮件地址验证. 固定电话:中国大陆固定电话号码验证. 手机号:中国大陆手机号码验证. 网址:网站URL地址验证. 日期:标准日期格式验证. 数字:整数.正整数验证,数字范围验证. 身份证:大陆身份证号码验证. 邮政编码:大陆邮政编码验证. 文件:文件类型(后缀)验证,如只允许上传图片. IP:IP地址验证. 验证码:验证码ajax验证. Sep17实例讲解表单验证插件Va			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/LzJ3K6b.html" rel="bookmark">jQuery框架实例代码分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				随着时代发展,javascript阵营里面出现了越来越多的优秀的框架,大大简化了我们的开发工作,在我们使用这些框架的时候是不是也应该饮水思源想想它们都是怎样构建起来的呢?如果你不满足于仅仅是使用一些现成的API,而是深入了解它们内部的实现机制(照某人的说法, API是贬值最快的东西),最好的办法就是阅读它们的源代码了,前提是你读得懂. 最近两天研究了一下jQuery的源码,在这里将本人一些粗浅认识分享出来,不当之处请各位指正.好了,下面我们就来看看jQuery大概是怎样工作的,我假定你已经具备了			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKYj55p.html" rel="bookmark">jQuery Validation 实例与详细说明</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;head runat=&quot;server&quot;&gt; &lt;title&gt;untitled page&lt;/title&gt; &lt;script src=&quot;jquery.js&quot; type=&quot;text/网页特效&quot;&gt;&lt;/script&gt; &lt;script src=&quot;jquery.validate.js&quot; type=&quot;text/javascript&quot;&gt;&lt;/script			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGElXeM.html" rel="bookmark">jquery validation插件表单验证的一个例子&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				messages_cn.js &lt;!--验证国际化,中文--&gt; (不引用messages_cn.js是英文的提示,用了是中文) 复制代码 代码如下: required: &quot;This field is required.&quot;, remote: &quot;Please fix this field.&quot;, email: &quot;Please enter a valid email address.&quot;, url: &quot;Please enter a va			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxElnOp.html" rel="bookmark">jquery json 实例代码&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				复制代码 代码如下: 1.获取DataSet 2.转成DataTable 3. public static string DataTableToJson(DataTable dt) { StringBuilder jsonBuilder = new StringBuilder(); //jsonBuilder.Append(&quot;{&quot;); //输出的要求不要'}' //jsonBuilder.Append(dt.TableName); jsonBuilder.Append(&quot;[&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgERJ5z.html" rel="bookmark">jquery validate&period;js表单验证的基本用法入门&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这里转载一篇前辈写的文章,在我自己的理解上修改了一下,仅作记录. 先贴一个国内某大公司的代码: 复制代码 代码如下: &lt;script type=&quot;text/javascript&quot;&gt; function lang(key) { mylang = { 'ls_input_myb': '请输入您的账户', 'ls_myb_email': '漫游币账户为邮箱地址', 'ls_login_password': '请输入您的登录密码', 'ls_password_length': '密码			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAYqeM.html" rel="bookmark" class="title">Photoshop打造唯美的暗调紫红色树林人物图片</a>
					<div>
						素材图片本身也比较暗,调色的时候,我们只需要把暗部颜色加深并增加蓝紫色,黄绿色部分转为橙红色,再在高光部分增加一点淡蓝色即可. 原图 最终效果					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VzwPROb.html" rel="bookmark" class="title">form&period;submit&lpar;&rpar;方法的缺陷</a>
					<div>
						    &lt;SCRIPT type='text/javascript'&gt;       function firstpage(){       var theform=document.get ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8l49p.html" rel="bookmark" class="title">Photoshop教程&colon;RAW格式拍摄照片怀旧水乡图片</a>
					<div>
						有很多人都不太喜欢用RAW格式拍摄照片,觉得后期的调整出片很麻烦,不过,RAW格式无疑是数码相机拍摄最佳的选择,可以无损保存照片细节,并通过后期完美展现出来.事实上,只要熟悉RAW的参数和原理,调整起 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0yZAp.html" rel="bookmark" class="title">下拉菜单输入&comma;根据输入内容自动定位</a>
					<div>
						下拉菜单支持输入,并根据输入内容自动定位: 参考:演员发表于 10/23/2001 8:58:16 AM 的文章 &quot;罗亭的可输入下拉框的解密简化版.&quot;,在此特别感谢相关人等. 本文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bo1J3p.html" rel="bookmark" class="title">网站优化之谷歌切词研究</a>
					<div>
						在平时我们使用搜索引擎的时候,我们通常都是输入一个词语进行搜索,比如我们要去南部旅游,通常输入有名的旅游胜地的名字,如垦丁公园,西子湾,四重溪等这些名字,对要去的地点搜索了解,这些我们常用来搜索的字词 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlR2D8z.html" rel="bookmark" class="title">通过一组RESTful API暴露CQRS系统功能</a>
					<div>
						命令和查询责任分离(CQRS)是由Greg Young提出的一种将系统的读(查询).写(命令)操作分离为两种独立子系统的架构模式.命令通常是异步执行的,并存储在一个事务型数据库中,而读操作则通常是最终 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6Y0Ez.html" rel="bookmark" class="title">jsp中使用javabean实例</a>
					<div>
						  这篇文章主要介绍了jsp中使用javabean的实例,同时介绍了相关属性,需要的朋友可以参考下 test.jsp中的代码如下所示 代码如下: 消息: :表示定义一个java bean的实例,实例的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVn1OVz.html" rel="bookmark" class="title">浅析PKI加密解密 OpenSSL</a>
					<div>
						本篇文章是对PKI加密解密 OpenSSL进行了介绍,需要的朋友参考下   点击下载OpenSSL window与linux要区分的 解压文件 双击: Win32OpenSSL-0_9_8l_9589 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PqkjM.html" rel="bookmark" class="title">c&num;检测端口是否被占用的简单实例</a>
					<div>
						这篇文章主要介绍了c#检测端口是否被占用的简单实例,有需要的朋友可以参考一下 当我们要创建一个Tcp/Ip Server connection ,我们需要一个范围在1000到65535之间的端口 .  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZZAZb.html" rel="bookmark" class="title">如何在企业笔记本电脑上建立移动安全策略</a>
					<div>
						  Harris Interactive 2012年一项研究显示,尽管智能手机和平板电脑在企业中开始普及,仍有26%的员工使用办公电脑处理业务.其中61%的人会将关键数据包括公司和客户的敏感信息存储在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArGYQp.html" rel="bookmark" class="title">win7电脑桌面小工具无法实现自动开启怎么办？</a>
					<div>
						  win7纯净版桌面小工具,想必大家并不陌生吧?这是微软推出的一款实用性工具,除了有天气.时间.cpu仪表盘等常用的实用性工具之外,还有可以作为摆设的招财猫等小插件,内容十分的丰富,所以很多朋友都很 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYZe0b.html" rel="bookmark" class="title">编程珠玑--位图法排序</a>
					<div>
						题目:一个最多包含n个正整数的文件,每个数都小于n,其中n=10^7,且所有正整数都不重复.求如何将这n个正整数升序排列. 约束:最多有1MB的内存空间可用,有充足的磁盘存储空间.   分析:这个题目 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3BVmp.html" rel="bookmark" class="title">解压&OpenCurlyDoubleQuote;加密&rdquo;压缩包办法</a>
					<div>
						在某些论坛或网站下载自己所需的文件资源时,大家往往会发现已下载的压缩包中包含密码(即&quot;加密&quot;压缩包),必须得输入密码才能完成正常的解压操作,实在是非常麻烦.最新的4.0版的WinR ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNZ6KM.html" rel="bookmark" class="title">spring mvc &plus; nginx配置</a>
					<div>
						问题描述 各位大神,小弟今天遇到一个问题,就是如果我的系统使用的是springmvc,请求路径都是restful的风格,例如/xxx的请求方式,并且我的页面都放到了别的目录下,所以在网站的根目录下根本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvrrq1M.html" rel="bookmark" class="title">SUSE Linux 10 配置裸设备&lpar;raw devices&rpar;</a>
					<div>
						      裸设备,是没有经过格式化的分区或磁盘,也叫裸分区(原始分区),不被Unix通过文件系统来读取的特殊字符设备.它由应用程序负责对它进行读写操作.不经过文件系统的缓冲,是不被操作系统直接管理的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAV7vM.html" rel="bookmark" class="title">电商的商品如何定价的问题</a>
					<div>
						大家好,我是楚马教育安乐老师,今天和大家分享的主题是电商的商品如何定价的问题,很多学员把定价这件事情看的比较简单,有些文字上的&quot;学者&quot;又把定价描述得特别精彩,精彩到让很多卖家到最后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRvj4b.html" rel="bookmark" class="title">MVC官方教程索引</a>
					<div>
						最近一直在学习MVC(MVC出来这么久了才开始学习,惭愧!不过我一向认为MS的东西不到RC版或至少第三个版本,基本上学了也是白学,按微软的风格,这个补丁那个bug的,到时候多半还要回炉再学^＿^),虽 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myd72kb.html" rel="bookmark" class="title">HootSuite公司CEO：四种可以驾驭大数据的方法</a>
					<div>
						作者:莱恩·赫尔莫斯(Ryan Holmes)称,管理系统公司http://www.aliyun.com/zixun/aggregation/15996.html&quot;&gt;HootSuite ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba72RQp.html" rel="bookmark" class="title">WeService 传复杂对象 取不到对象属性值</a>
					<div>
						问题描述 接口方法:public AdcSiResponse adcSiInterface(AdcSiRequest request) {}在取值的时候System.out.println(&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvnn8NM.html" rel="bookmark" class="title">Java in ACM&sol;ICPC</a>
					<div>
						目录 Java在ACM/ICPC中的特点 在ACM/ICPC中使用Java需要注意的问题 Java与高精度计算 1.Java在ACM/ICPC中的特点 Java的语法和C++几乎相同 Java在执行计 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEQQeM.html" rel="bookmark" class="title">新产品：要从数据中发现问题，不要寄望于用户反馈</a>
					<div>
						每一个上线的新产品,一定会或多或少的存在这样或那样的不足,要改正这些不足,得到更多人的认可,就要不断的收集真正使用过该产品的人的意见,产品要先上线再迭代,先让用户使用上产品然后才是让用户使用上更好用的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4eKkNb.html" rel="bookmark" class="title">java string类型不能插入到oracle date类型？</a>
					<div>
						问题描述 java string类型不能插入到oracle date类型? 如题!我如果把java改成Date类型就总是报空指针异常.而我改成string又不让插入数据库 解决方案 已解决,问题出在驱 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYrBrb.html" rel="bookmark" class="title">&period;net-求注释程序！！！最好一段一注释！！！，不行一行也行！！！！</a>
					<div>
						问题描述 求注释程序!!!最好一段一注释!!!,不行一行也行!!!! namespace SoccerVIP { public partial class Form2 : Form { DataSet ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1kBKb.html" rel="bookmark" class="title">终于解决了IE8不支持数组的indexOf方法&lowbar;javascript技巧</a>
					<div>
						下面是我找到的解决办法: 在使用indexOf方法前,执行一下下面的js, 原理就是如果发现数组没有indexOf方法,会添加上这个方法. 复制代码 代码如下: if (!Array.prototyp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNvxXoM.html" rel="bookmark" class="title">中国地区三级联动下拉菜单效果分析&lowbar;javascript技巧</a>
					<div>
						因为最近有需要用到中国地区三级联动下拉菜单,虽然用公司的框架已经实现,但是看的比较迷茫,就网上找了下相关代码,主要的数据和功能实现都是在js文件中,网上找的地区数据有的地方不完整,需要自己添加,虽然和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYDDNb.html" rel="bookmark" class="title">jQuery弹出层插件Lightbox&lowbar;me使用指南&lowbar;jquery</a>
					<div>
						网站开发过程中,为了增加网站交互效果,我们有时需要在当前页面弹出诸如登陆.注册.设置等窗口.而这些窗口就是层,弹出的窗口就是弹出层.jQuery中弹出层插件很多,但有些在html5+css3浏览器下, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPl5kmp.html" rel="bookmark" class="title">网页制作中META标签的作用不可忽视</a>
					<div>
						您的个人网站即使做得再精彩,在&quot;浩瀚如海&quot;的网络空间中,也如一叶扁舟不易为人发现,如何推广个人网站,人们首先想到的方法无外乎以下几种: 1 在搜索引擎中登录自己的个人网站 2 在知 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8NBd4b.html" rel="bookmark" class="title">网站降权四大表现总结</a>
					<div>
						网站降权四大表现总结 一.内容更新,但快照频繁退档或者持久不更新 每天坚持更新文章,但是网站快照却纹丝不动,甚至慢慢的出现了快照退档.如此现象的出现,一定要引起我们足够的重视,这说明网站已经进入百度或 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Z6OJz.html" rel="bookmark" class="title">用好大数据须有大智慧</a>
					<div>
						拥有大数据是时代特征,解读大数据是时代任务,应用大数据是时代机遇.大数据作为一个时代.一项技术.一个挑战.一种文化,正在走进并深刻影响我们的生活.党的十八届五中全会提出,&quot;实施国家大数据战略 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5YWABp.html" rel="bookmark" class="title">政府域名被&OpenCurlyDoubleQuote;黑&rdquo;黄色网站&OpenCurlyDoubleQuote;附体&rdquo;</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 昨天,德阳市民吴先生因查询信息,用 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
